Bug 49939 - Expose a method via JMX which empties the webapp file cache
Expose a method via JMX which empties the webapp file cache
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
unspecified
All All
: P2 enhancement (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-16 05:24 UTC by Pid
Modified: 2014-10-14 19:35 UTC (History)
0 users



Attachments
The patch exposes the "removeCache" method to JMX object. By making the method public, we are able to invoke from java console mangement to clear the cache entry. (635 bytes, patch)
2010-12-18 15:07 UTC, Faisal
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pid 2010-09-16 05:24:01 UTC
The JMX Object "Catalina:type=Cache,host=localhost,path=/appPath" exposes several methods which interact with the cache.

A useful addition would be a mechanism to entirely empty the cache.
Comment 1 Faisal 2010-12-18 15:07:34 UTC
Created attachment 26421 [details]
The patch exposes the "removeCache" method to JMX object. By making the method public, we are able to invoke from java console mangement to clear the cache entry.
Comment 2 Mark Thomas 2014-10-14 19:35:25 UTC
This has been fixed in 8.0.x for 8.0.15 omwards. I do not intend to back-port the feature.